import type { InputPathToValue } from "@octopusdeploy/step-inputs";
import type { CommonInputProps } from "./InputComponents";
export declare function codeEditor(props: CodeEditorProps): CodeEditorComponent;
export interface CodeEditorComponent extends CodeEditorProps {
    type: "code-editor";
}
export interface CodeEditorProps extends CommonInputProps {
    input: InputPathToValue<string>;
    language: CodeEditorLanguage;
    title: string;
}
export declare enum CodeEditorLanguage {
    Bash = "Bash",
    CSharp = "CSharp",
    FSharp = "FSharp",
    PowerShell = "PowerShell",
    Python = "Python",
    HTML = "HTML",
    CSS = "CSS",
    Markdown = "Markdown",
    DockerFile = "DockerFile",
    INI = "INI",
    CoffeeScript = "CoffeeScript",
    JSON = "JSON",
    PlainText = "PlainText",
    XML = "XML",
    YAML = "YAML"
}
