import { LinkComponent } from "./Link";
import { BoldComponent, CodeComponent, ItalicComponent, VideoComponent } from "./TextFormat";
import { VideoLinkComponent } from "./VideoLink";

export type NoteComponent = LinkComponent | BoldComponent | ItalicComponent | CodeComponent | VideoLinkComponent | VideoComponent;

export type NoteExpression = string | NoteComponent;

export function note(strings: TemplateStringsArray, ...expressions: NoteComponent[]): NoteExpression[] {
    return strings
        .map((s, i) => {
            const expression = expressions[i];
            if (expression) return [s, expression];
            return [s];
        })
        .reduce((acc, current) => {
            return [...acc, ...current];
        }, []);
}
